Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 08 Jun 2021 08:52:21 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I did not receive my last order after 13 days, after making 3 complaints to care team about delivery on wrong address. I am so disappointed to see how every time i have to reach to care team to explain and raise the issue from scratch. I don't see any responsible in team to review open complaints, as they have delivered to old address where i do not reside and i did not receive a single call of verification till date. This is definitely the worst experience i ever had by shopping online from last 10 years. Lets see if someone reaches this time to resolve this issue or remain silent again without any action. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2685229